SampleValueAdjacencyListTest Class Reference

`#include <SampleValueAdjacencyListTest.h>`

Inheritance diagram for SampleValueAdjacencyListTest:

## Public Member Functions

| SampleValueAdjacencyListTest (TestSuite *s)
void | setup (void)
void | testEquality (void)
void | testQuicksort (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

SampleValueAdjacencyList | DummySVAL
std::vector< SampleValue * > | SVEmpty

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## SampleValueAdjacencyListTest()

SampleValueAdjacencyListTest::SampleValueAdjacencyListTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## setup()

void SampleValueAdjacencyListTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testEquality()

void SampleValueAdjacencyListTest::testEquality | ( | void |  | ) |

## testQuicksort()

void SampleValueAdjacencyListTest::testQuicksort | ( | void |  | ) |

## Member Data Documentation

## DummySVAL

SampleValueAdjacencyList SampleValueAdjacencyListTest::DummySVAL

private

## SVEmpty

std::vector<SampleValue*> SampleValueAdjacencyListTest::SVEmpty

private

The documentation for this class was generated from the following files:

- SampleValueAdjacencyListTest.h
- SampleValueAdjacencyListTest.cc